variables:
  CODE_QUALITY_DISABLED: 1
  CONTAINER_SCANNING_DISABLED: 1
  DAST_DISABLED: 1
  DEPENDENCY_SCANNING_DISABLED: 1
  LICENSE_MANAGEMENT_DISABLED: 1
  PERFORMANCE_DISABLED: 1
  SAST_DISABLED: 1
  TEST_DISABLED: 1
  SECRET_DETECTION_DISABLED: 1
  REPLICAS: 2
  POSTGRES_ENABLED: "true"
  AUTO_DEVOPS_POSTGRES_CHANNEL: 2
  AUTO_DEVOPS_POSTGRES_DELETE_V1: 1
  HELM_VERSION_FOR_MAPKUBEAPIS: "v2" # If you're using auto-depoy-image v2 or above, please specify "v3".

# # .gitlab-ci.yml
# include:
#   - template: Auto-DevOps.gitlab-ci.yml

include:
  - template: Auto-DevOps.gitlab-ci.yml
  - remote: https://gitlab.com/gitlab-org/gitlab/-/raw/03610a8607f7a4d074cf1d6b9d404349425cb669/lib/gitlab/ci/templates/Jobs/Deploy.gitlab-ci.yml

# map-deprecated-api:
#   extends: .auto-deploy
#   stage: deploy
#   when: manual
#   allow_failure: true
#   script:
#     - export TILLER_NAMESPACE=$KUBE_NAMESPACE
#     - export HELM_HOST="localhost:44134"
#     - nohup tiller -listen "${HELM_HOST}" >tiller.log 2>&1 &
#     - helm init --client-only
#     - helm plugin install https://github.com/hickeyma/helm-mapkubeapis
#     - echo "CI_ENVIRONMENT_SLUG is $CI_ENVIRONMENT_SLUG"
#     - echo "KUBE_NAMESPACE is $KUBE_NAMESPACE"
#     - helm ls
#     - helm mapkubeapis $CI_ENVIRONMENT_SLUG --release-storage configmaps --tiller-out-cluster --namespace $TILLER_NAMESPACE --v2
#   environment:
#     name: production
#     url: http://$CI_PROJECT_PATH_SLUG.$KUBE_INGRESS_BASE_DOMAIN
#   needs: []

# destroy-all:
#   extends: .auto-deploy
#   stage: deploy
#   when: manual
#   allow_failure: true
#   script:
#     - auto-deploy check_kube_domain
#     - auto-deploy download_chart
#     - auto-deploy ensure_namespace
#     - auto-deploy initialize_tiller
#     - auto-deploy delete
#     - auto-deploy delete canary
#   environment:
#     name: production
#     url: http://$CI_PROJECT_PATH_SLUG.$KUBE_INGRESS_BASE_DOMAIN
#   needs: []
# 